import javax.swing.*;
class booktest1
{
public static void outputwindow(String s)
{
String s1="book class output window";	
JOptionPane.showMessageDialog(null,s,s1, JOptionPane.PLAIN_MESSAGE);	
}
	
public static void main(String args[])
{
book magazine=new book("Bilim ve Teknik","TÜBİTAK","magazine","Turkish");
fiction r1=new fiction("It is all quiet in the westen front ","Erich Maria Reamarque","English");
book r2=new book("The God Delusion","Richard Dawkins","fiction","English");
poetry  s1=new poetry("Human lanscapes from my country","Nazım Hikmet","English and Turkish");
encyclopedia a1=new encyclopedia("Encyclopedia Britannica","English");
String s=magazine.toString()+"\n"+r1.toString()+"\n"+r2.toString()+"\n"+s1.toString()+"\n"+a1.toString();
outputwindow(s);
}

}
